# Uses of Interface
org.eclipse.net4j.ws.IWSAcceptor

Packages that use IWSAcceptor
Package
Description
org.eclipse.net4j.ws
Transport layer extension with support for Websocket connections.
org.eclipse.net4j.wss

## Uses of IWSAcceptor in org.eclipse.net4j.ws

Methods in org.eclipse.net4j.ws that return IWSAcceptor
Modifier and Type
Method
Description
`IWSAcceptor`
IWSAcceptorManager.`getAcceptor(String name)`
`static IWSAcceptor`
WSUtil.`getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String acceptorName)`
Methods in org.eclipse.net4j.ws that return types with arguments of type IWSAcceptor
Modifier and Type
Method
Description
`org.eclipse.net4j.util.registry.IRegistry<String,IWSAcceptor>`
IWSAcceptorManager.`getAcceptorRegistry()`

## Uses of IWSAcceptor in org.eclipse.net4j.wss

Methods in org.eclipse.net4j.wss that return IWSAcceptor
Modifier and Type
Method
Description
`static IWSAcceptor`
WSSUtil.`getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String acceptorName)`